{
  self,
  prefs,
  inputs,
  impurity,
  ...
}:

{
  home-manager = {
    backupFileExtension = "bak";
    extraSpecialArgs = {
      inherit inputs self prefs impurity;
    };

    users = prefs.homes;
  };
}
